Page MenuHomePhabricator

Ignore* checkboxes descriptions are no <labels> on account creation form
Closed, ResolvedPublic

Description

Original bug title: Ignore* checkboxes descriptions are no <label>s on login form
Expected: Descriptions being wrapped into <label> elements, each of their for attribute matching the id attribute of the corresponding checkbox.

Hint: I *always* click the labels, no matter how big and fat a checkbox is. This usually ensures, I tick the right checkbox no matter how they're arranged.

Event Timeline

Rillke created this task.Jan 22 2015, 7:53 PM
Rillke raised the priority of this task from to Needs Triage.
Rillke updated the task description. (Show Details)
Rillke added a subscriber: Rillke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2015, 7:53 PM
Rillke renamed this task from Checkbox descriptions are no <labels> on login form to Ignore* checkboxes descriptions are no <labels> on login form.Jan 22 2015, 7:56 PM
Rillke updated the task description. (Show Details)
Rillke set Security to None.
Umherirrender renamed this task from Ignore* checkboxes descriptions are no <labels> on login form to Ignore* checkboxes descriptions are no <labels> on account creation form.Jan 22 2015, 8:11 PM

https://gerrit.wikimedia.org/r/#/c/149476/ changes this, with that patch set a emtpy <label for=></label> gets generated in the html. Maybe it is enough to move the msg between the label tags to let the label work as expected.

matmarex added a subscriber: matmarex.
Aklapper triaged this task as Low priority.Jan 24 2015, 1:44 AM
Umherirrender added a project: AntiSpoof.
gerritbot added a subscriber: gerritbot.

Change 186582 had a related patch set uploaded (by Umherirrender):
Usercreate: Move label of extraInput to right place

https://gerrit.wikimedia.org/r/186582

Patch-For-Review

matmarex closed this task as Resolved.Jan 25 2015, 7:31 AM
matmarex removed a project: Patch-For-Review.

Change 186582 merged by jenkins-bot:
Usercreate: Move label of extraInput to right place

https://gerrit.wikimedia.org/r/186582